@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap");

:root {
  --project-white: #f0f0f0;
  --project-green: #16a34a;
  --project-section-green: #065f46;
  --project-gray: #303841;
}

/* box sizing and font size == start == */
*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
}

/* box sizing and font size == start == */

body {
  margin: 0;
  font-family: "Montserrat", sans-serif;
  font-size: 1.8rem;
}
a {
  text-decoration: none;
}
@media (max-width: 1200px) {
  html {
    font-size: 60%;
  }
}
@media (max-width: 980px) {
  html {
    font-size: 58%;
  }
}
@media (max-width: 460px) {
  html {
    font-size: 55%;
  }
}

/* box sizing and font size == end == */

/* navbar  start*/
#navbar {
  background-color: var(--project-green);
  text-align: right;
  position: fixed;
  width: 100vw;
  padding: 1.6rem 0;
  top: 0;
}
#navbar a {
  color: #f5f5f4;
  text-decoration: none;
  margin: 0.5rem 1rem;
  font-size: larger;
  padding: 1.6rem;
}
#navbar a:hover {
  background-color: rgba(14, 116, 144, 0.5);
}
/* navbar end */

/* welcome section start */
#welcome-section {
  margin-top: 1.6rem;
  display: flex;
  width: 100%;
  height: 100vh;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: linear-gradient(62deg, #3a3d40 20%, #181719 100%);
  color: white;
  font-size: 3rem;
  text-align: center;
}
#welcome-section h1 {
  margin: 0;
}
#welcome-section p {
  color: var(--project-green);
  font-style: italic;
  font-weight: 300;
}

/* welcome section end */

/* projects section start */
#projects {
  margin: auto;
  width: 100%;
  background-color: var(--project-section-green);
  padding: 8rem 2rem;
}
.project-section-title {
  margin-top: 0;
  padding: 4rem 0;
  text-align: center;
  color: var(--project-white);
  font-size: 2.5rem;
}
.projects-section {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  width: 100%;
  max-width: 1260px;
  grid-gap: 3rem;
  justify-content: center;
}
.projects-section p {
  width: 100%;
  text-align: center;
  background-color: var(--project-gray);
  margin: 0 auto 0 auto;
  padding: 1.5rem 1rem;
  color: var(--project-white);
}
.project-image {
  height: calc(100% - 6.8rem);
  width: 100%;
  object-fit: cover;
}

/* projects section end */

/*  contact section start */

#contact-section {
  background-color: var(--project-gray);
  color: var(--project-white);
  height: 80vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
#contact-section header {
  color: var(--project-white);
  font-size: 5rem;
  font-weight: bold;
}
#contact-section .header-tagline {
  font-style: italic;
  font-weight: 200;
}
#contact-section a {
  color: inherit;
}
#contact-section ul {
  list-style: none;
  margin: 4rem 0;
  padding: 0;
}
#contact-section li {
  display: inline;
  margin: 1rem;
  text-shadow: 2px 2px 1px #1f1f1f;
  transition: transform 0.3s ease-out;
  font-size: 2rem;
}
#contact-section li a:hover {
  color: var(--project-green);
}
/* contact section end */

/* footer start */
footer {
  background-color: var(--project-gray);
  color: var(--project-white);
  border-top: solid 0.3rem var(--project-green);
  padding: 2rem 0;
}

footer p {
  text-align: center;
  font-size: 1.5rem;
  margin: 2rem;
}

/* footer end */
